package com.njyunzhi.avatar.person.controller;

import com.njyunzhi.avatar.common.BaseController;
import java.util.List;

import com.njyunzhi.avatar.common.ResponseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import com.njyunzhi.avatar.person.entity.AdSeq;
import com.njyunzhi.avatar.person.service.AdSeqService;

 /**
 * 广告刷新时间;(ad_seq)表控制层
 * @author : http://njyunzhi.com
 * @date : 2022-9-27
 */
@Api(tags = "广告刷新时间对象功能接口")
@RestController
@RequestMapping("/wx")
public class AdSeqController extends BaseController {
    
    @Autowired
    private AdSeqService adSeqService;
    
    /** 
     * 通过ID查询单条数据 
     *
     * @param id 主键
     * @return 实例对象
     */
    @ApiOperation("通过ID查询单条数据")
    @GetMapping("/adSeq/{id}")
    public ResponseBean queryById(@ApiParam("对象ID") @PathVariable Integer id) throws Exception {
        return ResponseBean.success(adSeqService.getById(id));
    }
}